<?php
    use PFBC\Form;
    use PFBC\Element;
    use PFBC\View;
    use PFBC\Validation;
    $monthArray = array("январь", "февраль", "март", "апрель", "май", "июнь", "июль", "август", "сентябрь", "октябрь", "ноябрь", "декабрь");
    $monthGenArray = array("января", "февраля", "марта", "апреля", "мая", "июня", "июля", "августа", "сентября", "октября", "ноября", "декабря");
    $monthShortArray = array("янв", "фев", "март", "апр", "май", "июнь", "июль", "авг", "сен", "окт", "ноя", "дек");
    $monthShortGenArray = array("янв", "фев", "марта", "апр", "мая", "июня", "июля", "авг", "сен", "окт", "ноя", "дек");
	require_once('lib/fcomplex.php');
    require_once('lib/frole.php');
    $role = new Role();
//var_dump('asd');
//$role->isPageEnable($user->uuid);

    $currentDatetime = new \DateTime();

    $confirmed = false;

    $availablePeriodSince = null;
    $availablePeriodTill = null;
    $availablePeriodDescription = '';

    if ($currentPageType) {
        $availablePeriod = $currentPageType->getAvailablePeriod();
        if (!$availablePeriod) {
            $availablePeriod = $currentPageType->getAvailablePeriod($currentPageType::PERIOD_FUTURE);
        }

        if (!empty($availablePeriod)) {
            $availablePeriodSince = isset($availablePeriod["since"]) ? $availablePeriod["since"]->format("d.m.Y") : null;
            $availablePeriodTill = isset($availablePeriod["till"]) ? $availablePeriod["till"]->format("d.m.Y") : null;
            $availablePeriodDescription = isset($availablePeriod["description"]) ? $availablePeriod["description"] : "";
        }
    }

    $confirmed = null;
    if ($currentPage) {
        $confirmed = isset($currentPage->fields["confirmed"]) ? $currentPage->fields["confirmed"] : false;
    }
?><!doctype html>
<html lang="ru">
<head>
  <meta charset="utf-8" />
  <title>Комплексный мониторинг кафедр</title>

  <link rel="stylesheet" href="/css/jquery-ui.css" />
  <link type="text/css" rel="stylesheet" href="/css/bootstrap-combined.min.css">
  <script src="/js/jquery-1.9.1.js"></script>
  <script src="/js/jquery-ui.js"></script>
  <script src="/js/bootstrap.min.js"></script>

  <link rel="stylesheet" href="/css/jquery-ui.tabs-vertical.css" />
  <script src="/js/jquery.form.js"></script>


  <!--[if gte IE 9]>
    <style type="text/css">
      .gradient {
         filter: none;
      }
    </style>
  <![endif]-->


  <link rel="stylesheet" href="/css/base.css?rand=<?=rand();?>" />
  <link rel="stylesheet" href="/css/member.css?rand=<?=rand();?>" />
  <link rel="stylesheet" href="/css/member.form.css?rand=<?=rand();?>" />
  <link rel="stylesheet" href="/css/tabs-steps.css?rand=<?=rand();?>" />

  <script type="text/javascript">

    var language = "<?=$this->language?>";
    var pageType = "<?=$this->pageType?>";

    var pageId = "<?=$this->pageId?>";

    var userUuid = "<?=$this->user->uuid?>";

  </script>

  <script src="/js/auth.js?rand=<?=rand();?>"></script>

  <script src="/js/main.js?rand=<?=rand();?>"></script>
</head>

<body>

<!-- USERBOX -->

<header class="header gradient">
  <div class="header__logo">
    <img src="/images/herzen.png" />
  </div>
  <div class="header__headings">
    <h1 class="header__headings__heading">
      Комплексный мониторинг кафедр
    </h1>
    <h2 class="header__headings__subheading">

        <?=$availablePeriodDescription?>

    </h2>
  </div>

  <div class="userbox userbox_parent_header">
    <div class="userbox__controls">
      <span class="userbox__controls__profile">профиль</span> / <span class="userbox__controls__logout">выход</span>
    </div>
    <div class="userbox__username">
        <span class="userbox__username__displayname" data-uuid="<?=$this->user->uuid?>"><?=$this->user->givenname?> <?=$this->user->lastname?></span>
    </div>
  </div>

  <div class="header__helper"></div>
</header>

<p class="alert alert-success confirm-alert confirm-alert_position_topbar <?=$confirmed ? '' : 'confirm-alert-hidden'?>">
  <i class="glyphicon glyphicon-ok-sign icon-ok-sign"></i> Данные за период с 20 декабря 2017 года по 19 марта 2018 года отправлены.
</p>

<div class = "left">
	<?php
echo $role->userMenu($user->uuid);
	?>
</div>

<?php  $this->renderNavigation(); ?>


<div class="chair-name">
	<?php
	if(isset($currentPage->fields["title_ru"])){
		?>
		<h2 class="chair-title"><?=$currentPage->fields["title_ru"];?> <!--(<?=$chairrate?> ставок)--></h2>
		<?php }
		?>
	</div>

<?php if ($mode == self::MODE_NONE || $mode == self::MODE_CLASS): ?>

<div class="main-page">
    <h1 class="main-page__heading">Информационно-аналитическая система</h1>

</div>

<?php elseif ($mode == self::MODE_OBJECT && !$currentPage): ?>

<div class="not-found">
  <h1>Страница не найдена</h1>
  <p>Документ удален или еще не создан</p>

  <p><a href="?">Главная страница</a> | <a href="javascript:history.go(-1);">Вернуться назад</a></p>
</div>

<?php elseif ($mode == self::MODE_OBJECT && !$currentPageType->isAvailable()):  ?>

<div class="main-page">
    <h1 class="main-page__heading">Сбор данных за период <!--?=$periodStringShort?--> завершен</h1>
    <div class="main-page__content"><h2>Cледующий этап сбора данных пройдет в 2018 году.</h2></div>
    <div class="main-page__content">
      <div class="main-page__content__text">Мы ответим на ваши вопросы по адресу <a href="complexRating@herzen.spb.ru">complexRating@herzen.spb.ru</a><i style="display:none;"> или телефону +7 904 644-49-32 (Александр Владимирович Тихомиров)</i></div>
    </div>
</div>

<?php elseif ($mode == self::MODE_CLASS && !$currentPageType):  ?>
<div class="not-found">
  <h1>Указанная категория не существует</h1>
  <p>Невозможно создать страницу в несуществующей категории</p>

  <p><a href="?">Главная страница</a> | <a href="javascript:history.go(-1);">Вернуться назад</a></p>
</div>
<?php else: ?>


<div id="page" class="page">

<? if (false && $mode == self::MODE_OBJECT && $currentPage):  ?>
  <div class="page-info">
    <div class="page-uuid">Связь: <?=$currentPage->uuid?></div>
    <div class="page-id">Идентификатор: <?=$currentPage->id?></div>
  </div>
<? endif;  ?>



<?php

    $isFormPermitted = false;
    $forbiddenMessage = "Неизвестная причина";

    if ($mode == self::MODE_OBJECT && $currentPage) {
        $isFormPermitted = $currentPage->isPermitted($user->uuid, "read") && $currentPage->isPermitted($user->uuid, "update");
        if ($isFormPermitted) {

            if ($currentPage->isPermitted($user->uuid, "update", "visited", $language)) {
                $currentPage->setField("visited", true);
                $currentPage->save();
            }

        } else {
            $forbiddenMessage = "Отсутствует разрешение на просмотр или редактирование этой формы";
        }
    } elseif ($mode == self::MODE_CLASS && $currentPageType) {
        $isFormPermitted = $currentPageType->isPermitted($user->uuid, "create");

        if (!$isFormPermitted) {
            $forbiddenMessage = "Отсутствует разрешение на создание новой записи";
        }
    }

    ?>

<?php if (!$isFormPermitted): ?>

<div id="forbidden" class="forbidden">
  <h1>Доступ не разрешен</h1>
  <p><?=$forbiddenMessage?></p>

  <p><a href="?">Главная страница</a> | <a href="javascript:history.go(-1);">Вернуться назад</a></p>
</div>

<?php else:


    $sections = [];

    $currentSection = "default";

    $sections[$currentSection] = array();
    $sections[$currentSection]["active"] = true;
    $sections[$currentSection]["header"] = "Главная";

    $currentSubsection = "default";
    $prevSubsection = $currentSubsection;

    foreach ($currentPageType->items as $item) {
        $itemName = isset($item["name"]) ? $item["name"] : null;
        $itemType = isset($item["type"]) ? $item["type"] : null;
        if (!$itemType || !$itemName) {
            continue;
        }
        $itemIsRequired = false;

        $itemLabel = isset($item["label_".$language]) ? $item["label_".$language] : ($itemName . " [$language]");

        $pageFieldName = (isset($item["no_i18n"]) && $item["no_i18n"]) ? ($itemName) : ($itemName . "_" . $language);
        $options = array();
        $options["class"] = "";


        $updateItemPermission = (false
                       || $mode == self::MODE_OBJECT && $currentPage && $currentPage->isPermitted($user->uuid, "update", $itemName, $language)
                       || $mode == self::MODE_CLASS && $currentPageType && $currentPageType->isPermitted($user->uuid, "update", $itemName, $language));
        $readItemPermission = (false
                           || $mode == self::MODE_OBJECT && $currentPage && $currentPage->isPermitted($user->uuid, "read", $itemName, $language)
                           || $mode == self::MODE_CLASS && $currentPageType && $currentPageType->isPermitted($user->uuid, "read", $itemName, $language));
        $displayItemPermission = (false
                   || $mode == self::MODE_OBJECT && $currentPage && $currentPage->isPermitted($user->uuid, "display", $itemName, $language)
                   || $mode == self::MODE_CLASS && $currentPageType && $currentPageType->isPermitted($user->uuid, "display", $itemName, $language));

        $pageFieldValue = ($mode == self::MODE_OBJECT && $currentPage) ? (isset($currentPage->fields[$pageFieldName]) ? $currentPage->fields[$pageFieldName] : "") : "";
        if ($readItemPermission) {
            if (!$displayItemPermission) {
                continue;
            }

            if (!$updateItemPermission) {
                $options["disabled"] = true;
            }
        } else {
            continue;
        }

        if ($itemType == "section") {
            $currentSection = $pageFieldName;
            $sections[$currentSection] = array();
            $sections[$currentSection]["header"] = $itemLabel;
            continue;
        }
        if ($itemType == "subsection") {
            $prevSubsection = $currentSubsection;

            $currentSubsection = $pageFieldName;
            $sections[$currentSection]["content"][$currentSubsection]["header"] = $itemLabel;
            continue;
        }

        if ($prevSubsection == "default") {
            $currentSubsection = $pageFieldName;
            $sections[$currentSection]["content"][$currentSubsection]["header"] = $itemLabel;
            $itemLabel = '';
        }


        if ($itemIsRequired) {
            $options["required"] = true;
        }

        $sections[$currentSection]["content"][$currentSubsection]["fields"][] = $itemName;

        $sections[$currentSection]["content"][$currentSubsection]["content"][] = new Element\HTML('<div class="field-wrapper">');
        $sections[$currentSection]["content"][$currentSubsection]["content"][] = new Element\HTML("<span class=\"ui-icon\ ui-icon-carat-2-n-s\"></span>");

        $itemAccumulative = isset($item["accumulative"]) ? (boolean)$item["accumulative"] : false;


        $options["longDesc"] = ($itemAccumulative
                                 ? "<div class='period'><p> &nbsp; на 19 марта 2018 года</p></div>"
                                  : "<div class='period'><p><b> &nbsp; за период с 20 декабря 2017 года по 19 марта 2018 года</b></p></div>"
                              );

        if (isset($item["placeholder_".$language])) {
            $options["placeholder"] = $item["placeholder_".$language];
        }
        if (isset($item["short_description_".$language])) {
            $options["shortDesc"] = $item["short_description_".$language];
        }
        if (isset($item["long_description_".$language])) {
            $options["longDesc"] .= $item["long_description_".$language];
        }

        if (empty($options["longDesc"])) {
            $maxLabelLength = 40;
            if (mb_strlen($itemLabel) > $maxLabelLength && false) {
                $options["longDesc"] = $itemLabel;
                $itemLabel = mb_substr($itemLabel, 0, $maxLabelLength/2) . "..." . mb_substr($itemLabel, mb_strlen($itemLabel) - $maxLabelLength/2);
            }
        }

        $itemIndexCode = isset($item["index_code_$language"]) ? $item["index_code_$language"] : null;
        $itemLabel = '<span class="control-index">' . $itemIndexCode. '</span><span class="control-label-content">' . $itemLabel . '</span>';
        $itemMultiple = isset($item["multiple"]) ? (boolean)$item["multiple"] : false;
        if ($itemMultiple) {
            if (!is_array($pageFieldValue)) {
                $pageFieldValue = array($pageFieldValue);
            }
        }

        $options["class"] .= "form__field";

        switch ($itemType) {
            case 'string':
                if ($itemMultiple) {
                    $sections[$currentSection]["content"][$currentSubsection]["content"][] = new Element\HTML('<div class="control-group-sortable control-group-wrapper">');

                    $isFirst = true;
                    foreach ($pageFieldValue as $pageFieldValueIndex => $pageFieldValueContent) {
                        $opts = $options;
                        $opts["value"] = $pageFieldValueContent;

                        $sections[$currentSection]["content"][$currentSubsection]["content"][] = new Element\TextboxMultiple('<span class="control-label-content-wrapper ' . ($isFirst ? '' : 'control-label-content-wrapper--hidden') . '">' . $itemLabel . '</span>', $itemName . "[]", $opts);

                        $isFirst = false;
                    }
                    $sections[$currentSection]["content"][$currentSubsection]["content"][] = new Element\HTML('</div><!--.control-group-sortable.control-group-wrapper-->');
                } else {
                    $opts = $options;
                    $opts["value"] = $pageFieldValue;

                    $sections[$currentSection]["content"][$currentSubsection]["content"][] = new Element\Textbox($itemLabel, $itemName, $opts);
                }
                break;
            case 'text':
                $opts = $options;
                $opts["value"] = $pageFieldValue;
                $sections[$currentSection]["content"][$currentSubsection]["content"][] = new Element\Textarea($itemLabel, $itemName, $opts);
                break;
            case 'object':
                $opts = $options;
                $opts["value"] = $pageFieldValue;
                $opts["style"] = "width:300px;";
                $sections[$currentSection]["content"][$currentSubsection]["content"][] = new Element\Textbox($itemLabel, $itemName, $opts);
                break;
            case 'float':
            case 'float_gt_zero':
                $opts = $options;
                $opts["value"] = $pageFieldValue;
                $opts["step"] = 0.01;
                if (empty($pageFieldValue) && !is_numeric($pageFieldValue)) {
                    $valid = null;
                } else {
                    if (is_numeric($pageFieldValue)) {
                        if ($itemType == "float_gt_zero") {
                            $valid = $pageFieldValue >= 0;
                        } else {
                            $valid = true;
                        }
                    } else {
                        $valid = false;
                    }
                }

                if ($itemType == "float_gt_zero") {
                    $opts["min"] = 0;
                }
                $opts["class"] .= " number_spinner_off";
                $opts["class"] .= " " . (is_null($valid) ? "field_state_warning" : ($valid ? "field_state_ok" : "field_state_mistake"));

                $sections[$currentSection]["content"][$currentSubsection]["content"][] = new Element\NumberSave($itemLabel, $itemName, $opts);
                break;

            case 'integer':
            case 'integer_gt_zero':
                $opts = $options;
                $opts["value"] = $pageFieldValue;
                if (empty($pageFieldValue) && !is_numeric($pageFieldValue)) {
                    $valid = null;
                } else {
                    if (is_numeric($pageFieldValue)) {
                        if ($itemType == "integer_gt_zero") {
                            $valid = $pageFieldValue >= 0;
                        } else {
                            $valid = true;
                        }
                    } else {
                        $valid = false;
                    }
                }

                if ($itemType == "integer_gt_zero") {
                    $opts["min"] = 0;
                }
                $opts["class"] .= " number_spinner_off";
                $opts["class"] .= " " . (is_null($valid) ? "field_state_warning" : ($valid ? "field_state_ok" : "field_state_mistake"));
                $sections[$currentSection]["content"][$currentSubsection]["content"][] = new Element\NumberSave($itemLabel, $itemName, $opts);
                break;
            case 'phone':
                $opts = $options;
                $opts["value"] = $pageFieldValue;
                $sections[$currentSection]["content"][$currentSubsection]["content"][] = new Element\Phone($itemLabel, $itemName, $opts);
                break;
            case 'email':
                $opts = $options;
                $opts["value"] = $pageFieldValue;
                $sections[$currentSection]["content"][$currentSubsection]["content"][] = new Element\Email($itemLabel, $itemName, $opts);
                break;
            case 'photo':
                $opts = $options;
                $sections[$currentSection]["content"][$currentSubsection]["content"][] = new Element\File($itemLabel, $itemName, $opts);
                break;
            case 'pdf':
                $opts = $options;
                $sections[$currentSection]["content"][$currentSubsection]["content"][] = new Element\File($itemLabel, $itemName, $opts);
                break;
            case 'html':
                $opts = $options;
                $opts["value"] = $pageFieldValue;
                $sections[$currentSection]["content"][$currentSubsection]["content"][] = new Element\Textarea($itemLabel, $itemName, $opts);
                $sections[$currentSection]["content"][$currentSubsection]["content"][] = new Element\HTML('<div class="form__element-html">' . $pageFieldValue . '</div>');
                break;
            case 'wysiwyg':
                $opts = $options;
                $opts["value"] = $pageFieldValue;
                $sections[$currentSection]["content"][$currentSubsection]["content"][] = new Element\CKEditor($itemLabel, $itemName, $opts);
                break;
            default:
                $sections[$currentSection]["content"][$currentSubsection]["content"][] = new Element\HTML("<div>[field:$itemLabel:$itemName]</div>");
                break;
        }
        if ($itemMultiple) {
            $sections[$currentSection]["content"][$currentSubsection]["content"][] = new Element\Button("+", "button", array("type" => "button", "class" => "field-add-element-handler"));
        }



        if ($mode == self::MODE_OBJECT && $currentPage) {
                if (in_array($itemType, array("photo", "pdf"))) {
                    if (is_array($pageFieldValue)) {
                        $sections[$currentSection]["content"][$currentSubsection]["content"][] = new Element\HTML('<div><div class="control-group"><div class="controls">');
                        $sections[$currentSection]["content"][$currentSubsection]["content"][] = new Element\HTML('<div id="' . $pageFieldName . '_preview" class="binary-preview">');
                        if (is_array($pageFieldValue) && isset($pageFieldValue["type"]) && in_array($pageFieldValue["type"], $imageTypes)) {
                            $sections[$currentSection]["content"][$currentSubsection]["content"][] = new Element\HTML('<div><img width="200" id="img_' . $currentPage->id . "_" . $itemName . '" src="/service.php?lang=' . $language . '&page_type=' . $pageType
                                            . '&subject=attachment&action=preview&type='. $itemName
                                            . '&id=' . $currentPage->id . '" /></div>');
                        }
                        $sections[$currentSection]["content"][$currentSubsection]["content"][] = new Element\HTML('<a href="/service.php?lang=' . $language . '&page_type=' . $pageType
                                            . '&subject=attachment&action=download&type='. $itemName
                                            . '&id=' . $currentPage->id . '">'
                                                . $pageFieldValue["name"] . ' (' . $pageFieldValue["type"] . ', ' . $pageFieldValue["size"] . ')'
                                            . '</a>');
                        $sections[$currentSection]["content"][$currentSubsection]["content"][] = new Element\HTML('<input
                                    type="button"
                                    value="×"
                                    onclick="deleteAttachment(' . "'$pageFieldName', '#$pageFieldName" . '_preview\');" />');
                        $sections[$currentSection]["content"][$currentSubsection]["content"][] = new Element\HTML('</div>');
                        $sections[$currentSection]["content"][$currentSubsection]["content"][] = new Element\HTML('</div></div></div>'); //div/control-group/controls
                    }
                } else {
                    if (is_array($pageFieldValue) && $pageFieldValue && !$itemMultiple) {

                        $sections[$currentSection]["content"][$currentSubsection]["content"][] = new Element\HTML('<div>Corrupted file @' . $pageFieldName . '</div>');
                    }
                }
        }

        $sections[$currentSection]["content"][$currentSubsection]["content"][] = new Element\HTML("</div><!--.field-wrapper-->");
    }
?>
<div class="workspace">
  <div class="sections">
    <ol class="steps section-headers">
<?php
    $sectionNumber = 0;
    foreach ($sections as $sectionName => $section) {
        if (empty($section["content"])) {
            continue;
        }

        $sectionNumber++;

        $isSectionActive = isset($section["active"]) && $section["active"];
        $sectionHeaderLabel = isset($section["header"]) ? $section["header"] : "—";

        echo ''
            . '<li'
              . ' data-target="#section-' . $sectionName . '"'
              . ' class="steps__step section__header section__header_name_' . $sectionName . ($isSectionActive ? 'section__header__active active' : '') . '"'
              . ' id="section__header-' . $sectionName . '">'
                    . '<a href="#section-' . $sectionName . '">'
                        . '<span class="steps__step__icon">'
                            . $sectionNumber
                        . '</span>'
                        . '<span class="steps__step__label">'
                            . $sectionHeaderLabel
                        . '</span>'
                    . '</a>'
            . '</li>';
    }



?>
      <li>
        <div class="confirm-button-container">
         <p>
          <button class="btn btn-warning " onclick="confirmForm()">
            Отправить&nbsp;данные
          </button>
           <br/> за&nbsp;период с 20 декабря 2017 года по 19 марта 2018 года
         </p>

          <p class="text-info confirm-info">
            Данные нужно отправить до <!--?=$sendByString?--> 24:00 26 марта.<br>Модуль сбора открывается и закрывается автоматически.
          </p>

          <p class="alert alert-success confirm-alert confirm-alert_position_sidebar <?=$confirmed ? '' : 'confirm-alert-hidden'?>">
            Данные за&nbsp;период <b>с 20 декабря 2017 года по 19 марта 2018 года</b> отправлены.
          </p>

          <p class="alert alert-info confirm-alert confirm-alert_position_sidebar <?=$confirmed ? '' : 'confirm-alert-hidden'?>">
            Список штатных сотрудников кафедры (осн.), показатели деятельности которых подлежат учету в рейтинге, приведены в модуле &laquo;ППС кафедры&raquo;
          </p>
        </div>
      </li>

    </ol>



<?php

    $sectionNumber = 0;
    foreach ($sections as $sectionName => $section) {
        if (empty($section["content"])) {
            continue;
        }
        $sectionNumber++;
        $isSectionActive = isset($section["active"]) && $section["active"];
        echo '<div class="' . ($isSectionActive ? 'active ' : '') . 'section section_name_' . $sectionName . '" id="section-' . $sectionName . '">';
        echo '<h1 class="section__heading section__heading_name_' . $sectionName . '">' . "Шаг $sectionNumber. " . $section["header"] . '</h1>';
        $formName = $pageType . "_" . $sectionName . "_" . uniqid();

        $form = new Form();
        $form->configure(array(
            "prevent" => array("jQuery","jQueryUI","bootstrap")
            , "method" => "post"
            , "view" => new View\Vertical()
            , "class" => "form form--$pageType"
            , "action" => "/service.php?lang=$language&page_type=$pageType&subject=page&action=update"
            ));

        $form->addElement(new Element\HTML('<div class="form__content">'));
        $form->addElement(new Element\Hidden("form", $formName));
        $form->addElement(new Element\Hidden("id", $mode == self::MODE_OBJECT && $currentPage ? $currentPage->id : ""));

        if (isset($section["content"]) && is_array($section["content"])) {
            foreach ($section["content"] as $section_element) {
                if (is_array($section_element) && isset($section_element["content"])) {
                    $form->addElement(new Element\HTML('<div class="subsection">'));
                    $form->addElement(new Element\HTML('<div class="subsection-header">' . $section_element["header"] . '</div>'));
                    $form->addElement(new Element\HTML('<div class="subsection-content">'));
                    if (isset($section_element["content"]) && is_array($section_element["content"])) {
                        foreach ($section_element["content"] as $subsection_element) {
                            $form->addElement($subsection_element);
                        }
                    }
                    $form->addElement(new Element\HTML('</div><!--.subsection-content-->'));
                    $form->addElement(new Element\HTML('</div><!--.subsection-->'));
                } else {
                    $form->addElement($section_element);
                }
            }
        }

        if (isset($section["values"]) && is_array($section["values"])) {
            foreach ($section["values"] as $section_value) {
                $form->setValues($section_value);
            }
        }
        $form->addElement(new Element\Button('Сохранить', "submit"));
        $form->addElement(new Element\HTML('<div class="form__output__wrapper"><div class="form__output" id="' . $pageType . '_output"></div></div>'));
        $form->addElement(new Element\HTML('</div>'));
        $form->render();
        echo '</div>';
    }
?>

  </div>




  <div class="form__common-actions">
  <?php
    if ($mode == self::MODE_OBJECT && $currentPage && $currentPage->isPermitted($user->uuid, "read")) {

    }

    if ($mode == self::MODE_OBJECT && $currentPage && $currentPage->isPermitted($user->uuid, "delete")) {
        $deleteBtn = new Element\Button('Удалить', 'button', array(
            "onclick" => "deletePage();"
            , "class" => "if-exists btn-float-right"
        ));
        $deleteBtn->render();
    }
  ?>

  </div>


<?php endif; ?>

</div>

<div class="page__helper"></div>

<?php endif;  ?>

<?php $this->renderCounters(); ?>

</body>
</html>
